Index: branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp
===================================================================
--- branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1186)
+++ branches/HTM-14.0-dev0/source/Lib/TLibEncoder/TEncSearch.cpp	(revision 1187)
@@ -976,5 +976,5 @@
           {
             m_pcEntropyCoder->encodeIntraDirModeLuma ( pcCU, uiPart * uiQNumParts );
-#if H_3D_SDC
+#if H_3D_DIM_SDC
           }
           m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
@@ -2211,5 +2211,5 @@
   // encode pred direction + DC residual data
   m_pcEntropyCoder->encodePredInfo( pcCU, 0, true );
-#if H_3D_SDC
+#if H_3D_DIM_SDC
   m_pcEntropyCoder->encodeSDCFlag( pcCU, 0, true );
 #endif
@@ -3016,5 +3016,5 @@
     pcCU->getPattern()->initPattern   ( pcCU, uiInitTrDepth, uiPartOffset );
     pcCU->getPattern()->initAdiPattern( pcCU, uiPartOffset, uiInitTrDepth, m_piYuvExt, m_iYuvExtStride, m_iYuvExtHeight, bAboveAvail, bLeftAvail );
-    
+
     //===== determine set of modes to be tested (using prediction signal only) =====
     Int numModesAvailable     = 35; //total number of Intra modes
@@ -3024,5 +3024,5 @@
     UInt uiRdModeList[FAST_UDI_MAX_RDMODE_NUM];
     Int numModesForFullRD = g_aucIntraModeNumFast[ uiWidthBit ];
-    
+
 #if H_3D_DIM
     if( bOnlyIVP )
@@ -3033,99 +3033,99 @@
     {
 #endif
-    Bool doFastSearch = (numModesForFullRD != numModesAvailable);
-    if (doFastSearch)
-    {
-      assert(numModesForFullRD < numModesAvailable);
-
-      for( Int i=0; i < numModesForFullRD; i++ ) 
-      {
-        CandCostList[ i ] = MAX_DOUBLE;
-      }
-      CandNum = 0;
-      
-      for( Int modeIdx = 0; modeIdx < numModesAvailable; modeIdx++ )
-      {
-        UInt uiMode = modeIdx;
-
-        predIntraLumaAng( pcCU->getPattern(), uiMode, piPred, uiStride, uiWidth, uiHeight, bAboveAvail, bLeftAvail );
+      Bool doFastSearch = (numModesForFullRD != numModesAvailable);
+      if (doFastSearch)
+      {
+        assert(numModesForFullRD < numModesAvailable);
+
+        for( Int i=0; i < numModesForFullRD; i++ ) 
+        {
+          CandCostList[ i ] = MAX_DOUBLE;
+        }
+        CandNum = 0;
+
+        for( Int modeIdx = 0; modeIdx < numModesAvailable; modeIdx++ )
+        {
+          UInt uiMode = modeIdx;
+
+          predIntraLumaAng( pcCU->getPattern(), uiMode, piPred, uiStride, uiWidth, uiHeight, bAboveAvail, bLeftAvail );
 #if H_3D_VSO // M34
-        Dist uiSad; 
-        if ( m_pcRdCost->getUseVSO() )
-        {
-          if ( m_pcRdCost->getUseEstimatedVSD() )
-          {          
-            uiSad = (Dist) ( m_pcRdCost->getDistPartVSD( pcCU, uiPartOffset, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight, true ) );
+          Dist uiSad; 
+          if ( m_pcRdCost->getUseVSO() )
+          {
+            if ( m_pcRdCost->getUseEstimatedVSD() )
+            {          
+              uiSad = (Dist) ( m_pcRdCost->getDistPartVSD( pcCU, uiPartOffset, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight, true ) );
+            }
+            else
+            {    
+              uiSad = m_pcRdCost->getDistPartVSO(pcCU, uiPartOffset, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight, true );
+            }
           }
           else
-          {    
-            uiSad = m_pcRdCost->getDistPartVSO(pcCU, uiPartOffset, piPred, uiStride, piOrg, uiStride, uiWidth, uiHeight, true );
+          {
+            uiSad = m_pcRdCost->calcHAD(g_bitDepthY, piOrg, uiStride, piPred, uiStride, uiWidth, uiHeight );
           }
-        }
-        else
-        {
-          uiSad = m_pcRdCost->calcHAD(g_bitDepthY, piOrg, uiStride, piPred, uiStride, uiWidth, uiHeight );
-        }
 #else        
-        // use hadamard transform here
-        UInt uiSad = m_pcRdCost->calcHAD(g_bitDepthY, piOrg, uiStride, piPred, uiStride, uiWidth, uiHeight );
-#endif
-        
-        UInt   iModeBits = xModeBitsIntra( pcCU, uiMode, uiPU, uiPartOffset, uiDepth, uiInitTrDepth );
+          // use hadamard transform here
+          UInt uiSad = m_pcRdCost->calcHAD(g_bitDepthY, piOrg, uiStride, piPred, uiStride, uiWidth, uiHeight );
+#endif
+
+          UInt   iModeBits = xModeBitsIntra( pcCU, uiMode, uiPU, uiPartOffset, uiDepth, uiInitTrDepth );
 #if H_3D_VSO // M35
-        Double dLambda;
-        if ( m_pcRdCost->getUseLambdaScaleVSO() )
-        {
-          dLambda = m_pcRdCost->getUseRenModel() ? m_pcRdCost->getLambdaVSO() : m_pcRdCost->getSqrtLambdaVSO();
-        }
-        else        
-        {
-          dLambda = m_pcRdCost->getSqrtLambda();        
-        }
-
-        Double cost      = (Double)uiSad + (Double)iModeBits * dLambda;
+          Double dLambda;
+          if ( m_pcRdCost->getUseLambdaScaleVSO() )
+          {
+            dLambda = m_pcRdCost->getUseRenModel() ? m_pcRdCost->getLambdaVSO() : m_pcRdCost->getSqrtLambdaVSO();
+          }
+          else        
+          {
+            dLambda = m_pcRdCost->getSqrtLambda();        
+          }
+
+          Double cost      = (Double)uiSad + (Double)iModeBits * dLambda;
 #else
-        Double cost      = (Double)uiSad + (Double)iModeBits * m_pcRdCost->getSqrtLambda();
-#endif
-        
-        CandNum += xUpdateCandList( uiMode, cost, numModesForFullRD, uiRdModeList, CandCostList );
-      }
-    
+          Double cost      = (Double)uiSad + (Double)iModeBits * m_pcRdCost->getSqrtLambda();
+#endif
+
+          CandNum += xUpdateCandList( uiMode, cost, numModesForFullRD, uiRdModeList, CandCostList );
+        }
+
 #if FAST_UDI_USE_MPM
-      Int uiPreds[3] = {-1, -1, -1};
-      Int iMode = -1;
-      Int numCand = pcCU->getIntraDirLumaPredictor( uiPartOffset, uiPreds, &iMode );
-      if( iMode >= 0 )
-      {
-        numCand = iMode;
-      }
-      
-      for( Int j=0; j < numCand; j++)
-
-      {
-        Bool mostProbableModeIncluded = false;
-        Int mostProbableMode = uiPreds[j];
-        
+        Int uiPreds[3] = {-1, -1, -1};
+        Int iMode = -1;
+        Int numCand = pcCU->getIntraDirLumaPredictor( uiPartOffset, uiPreds, &iMode );
+        if( iMode >= 0 )
+        {
+          numCand = iMode;
+        }
+
+        for( Int j=0; j < numCand; j++)
+
+        {
+          Bool mostProbableModeIncluded = false;
+          Int mostProbableMode = uiPreds[j];
+
+          for( Int i=0; i < numModesForFullRD; i++)
+          {
+            mostProbableModeIncluded |= (mostProbableMode == uiRdModeList[i]);
+          }
+          if (!mostProbableModeIncluded)
+          {
+            uiRdModeList[numModesForFullRD++] = mostProbableMode;
+          }
+        }
+#endif // FAST_UDI_USE_MPM
+      }
+      else
+      {
         for( Int i=0; i < numModesForFullRD; i++)
         {
-          mostProbableModeIncluded |= (mostProbableMode == uiRdModeList[i]);
-        }
-        if (!mostProbableModeIncluded)
-        {
-          uiRdModeList[numModesForFullRD++] = mostProbableMode;
-        }
-      }
-#endif // FAST_UDI_USE_MPM
-    }
-    else
-    {
-      for( Int i=0; i < numModesForFullRD; i++)
-      {
-        uiRdModeList[i] = i;
-      }
-    }
+          uiRdModeList[i] = i;
+        }
+      }
 #if H_3D_DIM
     }
 #endif
-    
+
 #if H_3D_DIM
     //===== determine set of depth intra modes to be tested =====
@@ -3148,39 +3148,39 @@
       {
 #if H_3D_FAST_DEPTH_INTRA
-      Int  threshold    = max(((pcCU->getQP(0))>>3)-1,3);
-      Int  varThreshold = (Int)( threshold * threshold - 8 );
-      UInt varCU      = m_pcRdCost->calcVAR(piOrg, uiStride, uiWidth,uiHeight,pcCU->getDepth(0));
+        Int  threshold    = max(((pcCU->getQP(0))>>3)-1,3);
+        Int  varThreshold = (Int)( threshold * threshold - 8 );
+        UInt varCU      = m_pcRdCost->calcVAR(piOrg, uiStride, uiWidth,uiHeight,pcCU->getDepth(0));
 #endif
 
 #if H_3D_DIM_DMM
-      if( ( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() )  || pcCU->getSlice()->getIntraContourFlag() )
+        if( ( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() )  || pcCU->getSlice()->getIntraContourFlag() )
 #if H_3D_FAST_DEPTH_INTRA
-         && (uiRdModeList[0] != PLANAR_IDX || varCU >= varThreshold)
-#endif
-        )
-      {
-        UInt uiStart, uiEnd;
-        if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) &&  pcCU->getSlice()->getIntraContourFlag() )
-        {
-          uiStart = 0;
-          uiEnd   = 2;
-        }
-        else if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) )
-        {
-          uiStart = 0;
-          uiEnd   = 1;
-        }
-        else if( pcCU->getSlice()->getIntraContourFlag() )
-        {
-          uiStart = 1;
-          uiEnd   = 2;
-        }
-        else
-        {
-          uiStart = 0;
-          uiEnd   = 0;
-        }
-        for( UInt dmmType = uiStart; dmmType < uiEnd; dmmType++ )
-        {
+          && (uiRdModeList[0] != PLANAR_IDX || varCU >= varThreshold)
+#endif
+          )
+        {
+          UInt uiStart, uiEnd;
+          if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) &&  pcCU->getSlice()->getIntraContourFlag() )
+          {
+            uiStart = 0;
+            uiEnd   = 2;
+          }
+          else if( ( m_pcEncCfg->getUseDMM() &&  pcCU->getSlice()->getIntraSdcWedgeFlag() ) )
+          {
+            uiStart = 0;
+            uiEnd   = 1;
+          }
+          else if( pcCU->getSlice()->getIntraContourFlag() )
+          {
+            uiStart = 1;
+            uiEnd   = 2;
+          }
+          else
+          {
+            uiStart = 0;
+            uiEnd   = 0;
+          }
+          for( UInt dmmType = uiStart; dmmType < uiEnd; dmmType++ )
+          {
 #if H_3D_FCO
             TComPic* picTexture  = pcCU->getSlice()->getIvPic(false, pcCU->getSlice()->getViewIndex() );
@@ -3191,47 +3191,47 @@
 #endif
             {
-                continue;
+              continue;
             }
 #endif
-          UInt uiTabIdx = 0;
-          TComWedgelet* biSegmentation = NULL;
-          Pel deltaDC1 = 0; Pel deltaDC2 = 0;
-          switch( dmmType )
-          {
-          case( DMM1_IDX ):
+            UInt uiTabIdx = 0;
+            TComWedgelet* biSegmentation = NULL;
+            Pel deltaDC1 = 0; Pel deltaDC2 = 0;
+            switch( dmmType )
             {
-              xSearchDmm1Wedge( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight, uiTabIdx );
-              pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dmmType,  uiPartOffset, uiDepth + uiInitTrDepth );
-              biSegmentation = pcCU->isDMM1UpscaleMode( uiWidth ) ? 
+            case( DMM1_IDX ):
+              {
+                xSearchDmm1Wedge( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight, uiTabIdx );
+                pcCU->setDmmWedgeTabIdxSubParts( uiTabIdx, dmmType,  uiPartOffset, uiDepth + uiInitTrDepth );
+                biSegmentation = pcCU->isDMM1UpscaleMode( uiWidth ) ? 
                   &(g_dmmWedgeLists[(g_aucConvertToBit[pcCU->getDMM1BasePatternWidth(uiWidth)])][uiTabIdx]) : &(g_dmmWedgeLists[(g_aucConvertToBit[uiWidth])][uiTabIdx]);
-            } break;
-
-          case( DMM4_IDX ):
+              } break;
+
+            case( DMM4_IDX ):
+              {
+                {
+                  biSegmentation = new TComWedgelet( uiWidth, uiHeight );
+                  xPredContourFromTex( pcCU, uiPartOffset, uiWidth, uiHeight, biSegmentation );
+                }
+              } break;
+            default: assert(0);
+            }
+
+            if( biSegmentation )
             {
+              if( dmmType == DMM1_IDX && pcCU->isDMM1UpscaleMode( uiWidth ) ){
+                xSearchDmmDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, biSegmentation->getScaledPattern(uiWidth), uiWidth, uiWidth, uiHeight, deltaDC1, deltaDC2 );
+              } 
+              else
               {
-                biSegmentation = new TComWedgelet( uiWidth, uiHeight );
-                xPredContourFromTex( pcCU, uiPartOffset, uiWidth, uiHeight, biSegmentation );
+                xSearchDmmDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, biSegmentation->getPattern(), biSegmentation->getStride(), uiWidth, uiHeight, deltaDC1, deltaDC2 );
               }
-            } break;
-          default: assert(0);
+              pcCU->setDimDeltaDC( dmmType, 0, uiPartOffset, deltaDC1 );
+              pcCU->setDimDeltaDC( dmmType, 1, uiPartOffset, deltaDC2 );
+
+              uiRdModeList[ numModesForFullRD++ ] = (dmmType  +DIM_OFFSET);
+              if( DMM4_IDX == dmmType ) { biSegmentation->destroy(); delete biSegmentation; }
+            }
           }
-
-          if( biSegmentation )
-          {
-            if( dmmType == DMM1_IDX && pcCU->isDMM1UpscaleMode( uiWidth ) ){
-                xSearchDmmDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, biSegmentation->getScaledPattern(uiWidth), uiWidth, uiWidth, uiHeight, deltaDC1, deltaDC2 );
-            } 
-            else
-            {
-                xSearchDmmDeltaDCs( pcCU, uiPartOffset, piOrg, piPred, uiStride, biSegmentation->getPattern(), biSegmentation->getStride(), uiWidth, uiHeight, deltaDC1, deltaDC2 );
-            }
-            pcCU->setDimDeltaDC( dmmType, 0, uiPartOffset, deltaDC1 );
-            pcCU->setDimDeltaDC( dmmType, 1, uiPartOffset, deltaDC2 );
-
-            uiRdModeList[ numModesForFullRD++ ] = (dmmType  +DIM_OFFSET);
-            if( DMM4_IDX == dmmType ) { biSegmentation->destroy(); delete biSegmentation; }
-          }
-        }
-      }
+        }
 #if H_3D_DIM
       }
@@ -3245,5 +3245,5 @@
     Double dSecondBestPUCost = MAX_DOUBLE;
 #endif
-    
+
     UInt    uiBestPUMode  = 0;
 #if H_3D_FAST_INTRA_SDC
@@ -3279,32 +3279,32 @@
       // set luma prediction mode
 #if !H_3D_FAST_INTRA_SDC
-     UInt uiOrgMode = uiRdModeList[uiMode];  
-#endif
-      
+      UInt uiOrgMode = uiRdModeList[uiMode];  
+#endif
+
 #if H_3D_FAST_INTRA_SDC
       UInt uiOrgMode;
       if (uiMode < numModesForFullRD)
       {   
-         uiOrgMode = uiRdModeList[uiMode];
+        uiOrgMode = uiRdModeList[uiMode];
       }
       else
       {
-           uiOrgMode = uiRdModeList[uiMode - numModesForFullRD];
-
-           if (uiBestPUModeConv <= 1 )
-           {
-           if (uiOrgMode > 1 && varCU < 1) continue;          
-           }
-           else
-           {
-              if (uiOrgMode != uiBestPUModeConv && uiOrgMode != uiSecondBestPUModeConv && uiOrgMode != uiThirdBestPUModeConv 
-                  && uiOrgMode > 1 && uiOrgMode < NUM_INTRA_MODE && varCU < 4) 
-              continue;
-           }
-       }
+        uiOrgMode = uiRdModeList[uiMode - numModesForFullRD];
+
+        if (uiBestPUModeConv <= 1 )
+        {
+          if (uiOrgMode > 1 && varCU < 1) continue;          
+        }
+        else
+        {
+          if (uiOrgMode != uiBestPUModeConv && uiOrgMode != uiSecondBestPUModeConv && uiOrgMode != uiThirdBestPUModeConv 
+            && uiOrgMode > 1 && uiOrgMode < NUM_INTRA_MODE && varCU < 4) 
+            continue;
+        }
+      }
 #endif
 
       pcCU->setLumaIntraDirSubParts ( uiOrgMode, uiPartOffset, uiDepth + uiInitTrDepth );
-      
+
 #if H_3D_DIM_SDC
 #if H_3D_FAST_INTRA_SDC
@@ -3313,5 +3313,5 @@
       Bool bTestSDC = ( m_pcEncCfg->getUseSDC() && pcCU->getSDCAvailable(uiPartOffset) );
 #endif
-      
+
       for( UInt uiSDC=0; uiSDC<=(bTestSDC?1:0); uiSDC++ )
       {
@@ -3352,133 +3352,133 @@
           }
 #endif
-      
+
 #if H_3D_DIM_ENC || H_3D_DIM_SDC
-      Bool bTestZeroResi = false;
+          Bool bTestZeroResi = false;
 #if H_3D_DIM_ENC
-      bTestZeroResi |= pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP();
+          bTestZeroResi |= pcCU->getSlice()->getIsDepth() && !pcCU->getSlice()->isIRAP();
 #endif
 #if H_3D_DIM_SDC
-      bTestZeroResi |= pcCU->getSDCFlag(uiPartOffset);
-#endif
-      if( uiSDC != 0 && iSDCDeltaResi != 0 )
-      {
-        bTestZeroResi = false;
-      }
-#endif
-      
+          bTestZeroResi |= pcCU->getSDCFlag(uiPartOffset);
+#endif
+          if( uiSDC != 0 && iSDCDeltaResi != 0 )
+          {
+            bTestZeroResi = false;
+          }
+#endif
+
 #if H_3D_DIM_ENC || H_3D_DIM_SDC      
-      for( UInt testZeroResi = 0; testZeroResi <= (bTestZeroResi ? 1 : 0) ; testZeroResi++ )
-      {
-#endif
-        // set context models
-        m_pcRDGoOnSbacCoder->load( m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST] );
-
-        // determine residual for partition
+          for( UInt testZeroResi = 0; testZeroResi <= (bTestZeroResi ? 1 : 0) ; testZeroResi++ )
+          {
+#endif
+            // set context models
+            m_pcRDGoOnSbacCoder->load( m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST] );
+
+            // determine residual for partition
 #if H_3D_VSO
-        Dist   uiPUDistY = 0;
+            Dist   uiPUDistY = 0;
 #else
-        UInt   uiPUDistY = 0;
-#endif
-        UInt   uiPUDistC = 0;
-        Double dPUCost   = 0.0;
+            UInt   uiPUDistY = 0;
+#endif
+            UInt   uiPUDistC = 0;
+            Double dPUCost   = 0.0;
 #if H_3D_VSO // M36
-        if( m_pcRdCost->getUseRenModel() )
-        {
-          m_pcRdCost->setRenModelData( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight );
-        }
+            if( m_pcRdCost->getUseRenModel() )
+            {
+              m_pcRdCost->setRenModelData( pcCU, uiPartOffset, piOrg, uiStride, uiWidth, uiHeight );
+            }
 #endif
 #if H_3D_DIM_SDC
-        if( pcCU->getSDCFlag(uiPartOffset) )
-        {
-          pcCU->setTrIdxSubParts(0, uiPartOffset, uiDepth + uiInitTrDepth);
-          pcCU->setCbfSubParts(1, 1, 1, uiPartOffset, uiDepth + uiInitTrDepth);
-
-          // start encoding with SDC
-          xIntraCodingSDC(pcCU, uiPartOffset, pcOrgYuv, pcPredYuv, uiPUDistY, dPUCost, ( testZeroResi != 0 ), iSDCDeltaResi );
-          if ( testZeroResi == 0 && iOffset <= 3 )
-          {
-            dOffsetCost [iOffset -1] = dPUCost;
-          }
-        }
-        else
-        {
+            if( pcCU->getSDCFlag(uiPartOffset) )
+            {
+              pcCU->setTrIdxSubParts(0, uiPartOffset, uiDepth + uiInitTrDepth);
+              pcCU->setCbfSubParts(1, 1, 1, uiPartOffset, uiDepth + uiInitTrDepth);
+
+              // start encoding with SDC
+              xIntraCodingSDC(pcCU, uiPartOffset, pcOrgYuv, pcPredYuv, uiPUDistY, dPUCost, ( testZeroResi != 0 ), iSDCDeltaResi );
+              if ( testZeroResi == 0 && iOffset <= 3 )
+              {
+                dOffsetCost [iOffset -1] = dPUCost;
+              }
+            }
+            else
+            {
 #endif
 #if HHI_RQT_INTRA_SPEEDUP
 #if H_3D_DIM_ENC
-          xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, true, dPUCost, (testZeroResi != 0) );
+              xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, true, dPUCost, (testZeroResi != 0) );
 #if H_3D_FAST_INTRA_SDC    
-      if( dPUCost < dBestPUCostConv )
-      {
-        uiThirdBestPUModeConv = uiSecondBestPUModeConv;
-        uiSecondBestPUModeConv = uiBestPUModeConv;
-        uiBestPUModeConv  = uiOrgMode;
-        dBestPUCostConv   = dPUCost;
-      }
+              if( dPUCost < dBestPUCostConv )
+              {
+                uiThirdBestPUModeConv = uiSecondBestPUModeConv;
+                uiSecondBestPUModeConv = uiBestPUModeConv;
+                uiBestPUModeConv  = uiOrgMode;
+                dBestPUCostConv   = dPUCost;
+              }
 #endif
 #else
-          xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, true, dPUCost );
+              xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, true, dPUCost );
 #endif
 #else
 #if H_3D_DIM_ENC
-          xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, dPUCost, (testZeroResi != 0) );
+              xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, dPUCost, (testZeroResi != 0) );
 #else
-          xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, dPUCost );
+              xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, dPUCost );
 #endif
 #endif
 #if H_3D_DIM_SDC
-        }
-#endif
-
-        // check r-d cost
-        if( dPUCost < dBestPUCost )
-        {
+            }
+#endif
+
+            // check r-d cost
+            if( dPUCost < dBestPUCost )
+            {
 #if HHI_RQT_INTRA_SPEEDUP_MOD
-          uiSecondBestMode  = uiBestPUMode;
-          dSecondBestPUCost = dBestPUCost;
-#endif
-          uiBestPUMode  = uiOrgMode;
-          uiBestPUDistY = uiPUDistY;
-          uiBestPUDistC = uiPUDistC;
-          dBestPUCost   = dPUCost;
+              uiSecondBestMode  = uiBestPUMode;
+              dSecondBestPUCost = dBestPUCost;
+#endif
+              uiBestPUMode  = uiOrgMode;
+              uiBestPUDistY = uiPUDistY;
+              uiBestPUDistC = uiPUDistC;
+              dBestPUCost   = dPUCost;
 
 #if H_3D_DIM_SDC
-          if( pcCU->getSDCFlag(uiPartOffset) )
-          {
-            bBestUseSDC = true;
-
-            // copy reconstruction
-            pcPredYuv->copyPartToPartYuv(pcRecoYuv, uiPartOffset, uiWidth, uiHeight);
-
-            // copy DC values
-            apBestDCOffsets[0] = pcCU->getSDCSegmentDCOffset(0, uiPartOffset);
-            apBestDCOffsets[1] = pcCU->getSDCSegmentDCOffset(1, uiPartOffset);
+              if( pcCU->getSDCFlag(uiPartOffset) )
+              {
+                bBestUseSDC = true;
+
+                // copy reconstruction
+                pcPredYuv->copyPartToPartYuv(pcRecoYuv, uiPartOffset, uiWidth, uiHeight);
+
+                // copy DC values
+                apBestDCOffsets[0] = pcCU->getSDCSegmentDCOffset(0, uiPartOffset);
+                apBestDCOffsets[1] = pcCU->getSDCSegmentDCOffset(1, uiPartOffset);
+              }
+              else
+              {
+                bBestUseSDC = false;
+#endif
+                xSetIntraResultQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcRecoYuv );
+
+                UInt uiQPartNum = pcCU->getPic()->getNumPartInCU() >> ( ( pcCU->getDepth(0) + uiInitTrDepth ) << 1 );
+                ::memcpy( m_puhQTTempTrIdx,  pcCU->getTransformIdx()       + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempCbf[0], pcCU->getCbf( TEXT_LUMA     ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempCbf[1], pcCU->getCbf( TEXT_CHROMA_U ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempCbf[2], pcCU->getCbf( TEXT_CHROMA_V ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempTransformSkipFlag[0], pcCU->getTransformSkip(TEXT_LUMA)     + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempTransformSkipFlag[1], pcCU->getTransformSkip(TEXT_CHROMA_U) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+                ::memcpy( m_puhQTTempTransformSkipFlag[2], pcCU->getTransformSkip(TEXT_CHROMA_V) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
+#if H_3D_DIM_SDC
+              }
+#endif
+            }
+#if HHI_RQT_INTRA_SPEEDUP_MOD
+            else if( dPUCost < dSecondBestPUCost )
+            {
+              uiSecondBestMode  = uiOrgMode;
+              dSecondBestPUCost = dPUCost;
+            }
+#endif
+#if H_3D_DIM_ENC || H_3D_DIM_SDC
           }
-          else
-          {
-            bBestUseSDC = false;
-#endif
-            xSetIntraResultQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcRecoYuv );
-
-            UInt uiQPartNum = pcCU->getPic()->getNumPartInCU() >> ( ( pcCU->getDepth(0) + uiInitTrDepth ) << 1 );
-            ::memcpy( m_puhQTTempTrIdx,  pcCU->getTransformIdx()       + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempCbf[0], pcCU->getCbf( TEXT_LUMA     ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempCbf[1], pcCU->getCbf( TEXT_CHROMA_U ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempCbf[2], pcCU->getCbf( TEXT_CHROMA_V ) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempTransformSkipFlag[0], pcCU->getTransformSkip(TEXT_LUMA)     + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempTransformSkipFlag[1], pcCU->getTransformSkip(TEXT_CHROMA_U) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-            ::memcpy( m_puhQTTempTransformSkipFlag[2], pcCU->getTransformSkip(TEXT_CHROMA_V) + uiPartOffset, uiQPartNum * sizeof( UChar ) );
-#if H_3D_DIM_SDC
-          }
-#endif
-        }
-#if HHI_RQT_INTRA_SPEEDUP_MOD
-        else if( dPUCost < dSecondBestPUCost )
-        {
-          uiSecondBestMode  = uiOrgMode;
-          dSecondBestPUCost = dPUCost;
-        }
-#endif
-#if H_3D_DIM_ENC || H_3D_DIM_SDC
-      }
         } // SDC residual loop
 #endif
@@ -3487,5 +3487,5 @@
 #endif
     } // Mode loop
-    
+
 #if HHI_RQT_INTRA_SPEEDUP
 #if HHI_RQT_INTRA_SPEEDUP_MOD
@@ -3502,13 +3502,13 @@
       UInt uiOrgMode = uiBestPUMode;
 #endif
-      
+
       pcCU->setLumaIntraDirSubParts ( uiOrgMode, uiPartOffset, uiDepth + uiInitTrDepth );
 #if H_3D_DIM_SDC
       pcCU->setSDCFlagSubParts(false, uiPartOffset, uiDepth + uiInitTrDepth);
 #endif
-      
+
       // set context models
-        m_pcRDGoOnSbacCoder->load( m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST] );
-      
+      m_pcRDGoOnSbacCoder->load( m_pppcRDSbacCoder[uiDepth][CI_CURR_BEST] );
+
       // determine residual for partition
 #if H_3D_VSO
@@ -3527,5 +3527,5 @@
 #endif
       xRecurIntraCodingQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcOrgYuv, pcPredYuv, pcResiYuv, uiPUDistY, uiPUDistC, false, dPUCost );
-      
+
       // check r-d cost
       if( dPUCost < dBestPUCost )
@@ -3538,7 +3538,7 @@
         bBestUseSDC   = false;
 #endif
-        
+
         xSetIntraResultQT( pcCU, uiInitTrDepth, uiPartOffset, bLumaOnly, pcRecoYuv );
-        
+
         UInt uiQPartNum = pcCU->getPic()->getNumPartInCU() >> ( ( pcCU->getDepth(0) + uiInitTrDepth ) << 1 );
         ::memcpy( m_puhQTTempTrIdx,  pcCU->getTransformIdx()       + uiPartOffset, uiQPartNum * sizeof( UChar ) );
@@ -3552,9 +3552,9 @@
     } // Mode loop
 #endif
-    
+
     //--- update overall distortion ---
     uiOverallDistY += uiBestPUDistY;
     uiOverallDistC += uiBestPUDistC;
-    
+
 #if H_3D_DIM_SDC
     if( bBestUseSDC )
@@ -3562,5 +3562,5 @@
       pcCU->setTrIdxSubParts(0, uiPartOffset, uiDepth + uiInitTrDepth);
       pcCU->setCbfSubParts(1, 1, 1, uiPartOffset, uiDepth + uiInitTrDepth);
-      
+
       //=== copy best DC segment values back to CU ====
       pcCU->setSDCSegmentDCOffset(apBestDCOffsets[0], 0, uiPartOffset);
@@ -3570,13 +3570,13 @@
     {
 #endif
-        //--- update transform index and cbf ---
-    UInt uiQPartNum = pcCU->getPic()->getNumPartInCU() >> ( ( pcCU->getDepth(0) + uiInitTrDepth ) << 1 );
-    ::memcpy( pcCU->getTransformIdx()       + uiPartOffset, m_puhQTTempTrIdx,  uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getCbf( TEXT_LUMA     ) + uiPartOffset, m_puhQTTempCbf[0], uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getCbf( TEXT_CHROMA_U ) + uiPartOffset, m_puhQTTempCbf[1], uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getCbf( TEXT_CHROMA_V ) + uiPartOffset, m_puhQTTempCbf[2], uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getTransformSkip(TEXT_LUMA)     + uiPartOffset, m_puhQTTempTransformSkipFlag[0], uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getTransformSkip(TEXT_CHROMA_U) + uiPartOffset, m_puhQTTempTransformSkipFlag[1], uiQPartNum * sizeof( UChar ) );
-    ::memcpy( pcCU->getTransformSkip(TEXT_CHROMA_V) + uiPartOffset, m_puhQTTempTransformSkipFlag[2], uiQPartNum * sizeof( UChar ) );
+      //--- update transform index and cbf ---
+      UInt uiQPartNum = pcCU->getPic()->getNumPartInCU() >> ( ( pcCU->getDepth(0) + uiInitTrDepth ) << 1 );
+      ::memcpy( pcCU->getTransformIdx()       + uiPartOffset, m_puhQTTempTrIdx,  uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getCbf( TEXT_LUMA     ) + uiPartOffset, m_puhQTTempCbf[0], uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getCbf( TEXT_CHROMA_U ) + uiPartOffset, m_puhQTTempCbf[1], uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getCbf( TEXT_CHROMA_V ) + uiPartOffset, m_puhQTTempCbf[2], uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getTransformSkip(TEXT_LUMA)     + uiPartOffset, m_puhQTTempTransformSkipFlag[0], uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getTransformSkip(TEXT_CHROMA_U) + uiPartOffset, m_puhQTTempTransformSkipFlag[1], uiQPartNum * sizeof( UChar ) );
+      ::memcpy( pcCU->getTransformSkip(TEXT_CHROMA_V) + uiPartOffset, m_puhQTTempTransformSkipFlag[2], uiQPartNum * sizeof( UChar ) );
 #if H_3D_DIM_SDC
     }
@@ -3594,5 +3594,5 @@
         bChromaSame  = true;
       }
-      
+
       UInt    uiCompWidth   = pcCU->getWidth ( 0 ) >> uiInitTrDepth;
       UInt    uiCompHeight  = pcCU->getHeight( 0 ) >> uiInitTrDepth;
@@ -3646,5 +3646,5 @@
       }
     }
-    
+
     //=== update PU data ====
     pcCU->setLumaIntraDirSubParts     ( uiBestPUMode, uiPartOffset, uiDepth + uiInitTrDepth );
@@ -3974,5 +3974,5 @@
   
 #if H_3D_DBBP
-  DBBPTmpData* pDBBPTmpData = pcCU->getDBBPTmpData();
+  DbbpTmpData* pDBBPTmpData = pcCU->getDBBPTmpData();
   if( pcCU->getDBBPFlag(0) )
   {
@@ -4964,5 +4964,5 @@
   {
 #if H_3D_DBBP
-    DBBPTmpData* pDBBPTmpData = pcCU->getDBBPTmpData();
+    DbbpTmpData* pDBBPTmpData = pcCU->getDBBPTmpData();
     if( pcCU->getDBBPFlag(0) )
     {
@@ -5326,5 +5326,5 @@
   
 #if H_MV
-  Bool bMv_VRng_Restricted = false;
+  Bool motVecVertRngRestricted = false;
   if( m_pcEncCfg->getUseDisparitySearchRangeRestriction()
        &&
@@ -5332,8 +5332,8 @@
     )
   {
-      bMv_VRng_Restricted = true;
-  }
-  if ( bBi )  xSetSearchRange   ( pcCU, rcMv   , iSrchRng, cMvSrchRngLT, cMvSrchRngRB, bMv_VRng_Restricted, m_pcEncCfg->getVerticalDisparitySearchRange() );
-  else        xSetSearchRange   ( pcCU, cMvPred, iSrchRng, cMvSrchRngLT, cMvSrchRngRB, bMv_VRng_Restricted, m_pcEncCfg->getVerticalDisparitySearchRange() );
+      motVecVertRngRestricted = true;
+  }
+  if ( bBi )  xSetSearchRange   ( pcCU, rcMv   , iSrchRng, cMvSrchRngLT, cMvSrchRngRB, motVecVertRngRestricted, m_pcEncCfg->getVerticalDisparitySearchRange() );
+  else        xSetSearchRange   ( pcCU, cMvPred, iSrchRng, cMvSrchRngLT, cMvSrchRngRB, motVecVertRngRestricted, m_pcEncCfg->getVerticalDisparitySearchRange() );
 #else
   if ( bBi )  xSetSearchRange   ( pcCU, rcMv   , iSrchRng, cMvSrchRngLT, cMvSrchRngRB );
@@ -5523,5 +5523,5 @@
   if( ! pcCU->getSlice()->getIsDepth() )
 #endif
-  rcMv >>= 2;
+    rcMv >>= 2;
   // init TZSearchStruct
   IntTZSearchStruct cStruct;
